NSParserInternal::State Struct Reference

Internal: the state of a NSParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::vector< Variable > | m_numberingList
| the list of numbering More...
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_numColumns
| the number of columns More...
float | m_columnSep
| the columns separator More...
NSStruct::FootnoteInfo | m_footnoteInfo
| the footnote placement More...
bool | m_isTextDocument
| a bool to know if we examine a text document or another thing glossary ... More...

## Detailed Description

Internal: the state of a NSParser.

## Constructor & Destructor Documentation

NSParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int NSParserInternal::State::m_actPage

the actual page

float NSParserInternal::State::m_columnSep

the columns separator

int NSParserInternal::State::m_footerHeight

the footer height if known

NSStruct::FootnoteInfo NSParserInternal::State::m_footnoteInfo

the footnote placement

int NSParserInternal::State::m_headerHeight

the header height if known

bool NSParserInternal::State::m_isTextDocument

a bool to know if we examine a text document or another thing glossary ...

std::vector<Variable> NSParserInternal::State::m_numberingList

the list of numbering

int NSParserInternal::State::m_numColumns

the number of columns

int NSParserInternal::State::m_numPages

the number of page of the final document

Zone NSParserInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NSParser.cxx